function tab_init( config ) {

    var Tabs = config;

    var colors = [ 'blue', 'green', 'red', 'orange' ];

    var topLineColor = {
        blue   : 'lightblue',
        green  : 'lightgreen',
        red    : 'lightred',
        orange : 'lightorange'
    };

    var z = 0;
    $.each( Tabs, function( i, j ) {
        var tmp = $('<li><a href="#" class="tab ' + colors[(z++%4)] + '">' + i +
                    ' <span class="left" /><span class="right /">></a></li>');
        tmp.find('a').data('page', j);
        $('ul.tabContainer').append( tmp );
    } );
}

/* Caching the tabs into a variable for better performance: */
var the_tabs = $('.tab');

the_tabs.click(function(e){

    /* "this" points to the clicked tab hyperlink: */
    var element = $(this);

    /* If it is currently active, return false and exit: */
    if(element.find('#overLine').length) return false;

    /* Detecting the color of the tab (it was added to 
     * the class attribute in the loop above):
     */

    var bg = element.attr('class').replace('tab ','');

    /* Removing the line: */
    $('#overLine').remove();

    /* Creating a new div element with jQuery 1.4 by 
     * passing an additional object parameter:
     */

    $('<div>',{
        id:'overLine',
        css:{
            display:'none',
            width:element.outerWidth()-2,
            background:topLineColor[bg] || 'white'
        }}).appendTo(element).fadeIn('slow');

    /* Checking whether the AJAX fetched page has been cached: */

    if(!element.data('cache')) {
        /* If no cache is present, show the gif preloader and run an AJAX request: */
        $('#contentHolder').html('<img src="img/ajax_preloader.gif" width="64" height="64" class="preloader" />');

        $.get(element.data('page'),function(msg){
            $('#contentHolder').html(msg);

            /* After page was received, add it to the cache for the current hyperlink: */
            element.data('cache',msg);
        });
    }
    else $('#contentHolder').html(element.data('cache'));

    e.preventDefault();
});

/* Emulating a click on the first tab, so that the content area is not empty: */
the_tabs.eq(0).click();
