/**
 * Util.js - utility functions.
 * @author  Tom Legrady
 * @date    Jan 1,  2012
 * 
 * inheritsFrom() and method are based on Douglas Crockford
 * http://www.crockford.com/javascrip/inheritance.html
 * and also John Resig's "Simple Javascript Inheritance". 
 */
// Create and initialize one and only global namespace.
//
var LEGRADY = {};
var setGlobals = function () {
    "use strict";
    var canvas = document.getElementById('canvas');
    LEGRADY.canvas = canvas;
    LEGRADY.bounds = {
        minX : 0,
        minY : 0
    };
    LEGRADY.bounds.maxX = LEGRADY.canvas.getAttribute( 'width' );
    LEGRADY.bounds.maxY = LEGRADY.canvas.getAttribute( 'height' );
    LEGRADY.bounds.midX = LEGRADY.bounds.maxX / 2;
    LEGRADY.bounds.midY = LEGRADY.bounds.maxY / 2;
    LEGRADY.bounds.maxRGB = 256,
    LEGRADY.bounds.minRGB = 0,
    LEGRADY.bounds.maxAlpha = 1,
    LEGRADY.bounds.minAlpha = 0;
    

};

Function.prototype.method = function( name, func ) {
    "use strict";
    this.prototype[name] = func;
    return this;
};

Function.method( 'inheritsFrom', function( parent ) {
    "use strict";
    var d = {},
    prototype = (this.prototype = new parent() );

    this.method( 'uber', function( name ) {
        if ( !( name in d ) ) {
            d[name] = 0;
        }
        var f,
        r,
        t = d[name],
        v = parent.prototype;
        if (t) {
            while ( t) {
                v = v.constructor.prototype;
                t -= 1;
            }
            f = v[name];
        } else {
            f = prototype[name];
            if ( f == this[name] ) {
                f = v[name];
            }
        }
        d[name] += 1;
        r = f.apply( this, Array.prototype.slice.apply( arguments, [1] ));
        d[name] -= 1;
        return r;
    });
    
} );
function epsilon() {
    "use strict";
    return 1.0 / 1000000;
}
function infinity() {
    "use strict";
    return 1000000;
}

// ----------------------------------------------------------------------
// End of File
//
