#!/usr/bin/perl

use warnings;
use strict;

my ( $maxX, $maxY ) = (1000, 1000);
my $pi = 3.14;
my ( $halfpi, $twopi ) = ($pi /  2, $pi * 2 );
my $epsilon = 1 / 1000;

my @lines;

for my $fraction ( 0 .. 11 ) {
    my $noise = ( rand() - 0.5 ) * (rand() - 0.5 ) * 4 / 6;
    $noise = 0;
    my $theta = canon_angle( $noise + $twopi * $fraction / 12 );
    my ( $dx, $dy ) = ( cos( $theta ) * $maxX, sin( $theta ) * $maxY );
    $lines[$fraction] = {
	theta => $theta,
	fraction => $fraction,
	dx       => $dx,
	dy       => $dy,
	slope    => ( abs($dx) > $epsilon ? $dy / $dx : $maxX * $maxY ),
    };
}
my $max = { ratio => 0, theta => 0, theta2 => 0 };

for my $line1 ( 0 .. 11 ) {
    for my $line2 ( 0 .. 11 ) {
	my ( $th1, $th2 ) = ( $lines[$line1]->{theta}, $lines[$line2]->{theta} );
#	if ( are_perp( $th1, $th2 ) ) {
#	    print "line $line1 and line $line2 are perp ( $th1, $th2 ).\n";
#	} elsif (are_parll( $th1, $th2 ) ) {
#	    print "line $line1 and line $line2 are parallel ( $th1, $th2 ).\n";
#	} else {
	    my $ratio = angle( $th1, $th2 );
	    print "line1 $line1, line2 $line2, ratio $ratio  ( $th1, $th2 )\n";
#	}
    }
}


sub canon_angle {
    my ( $angle ) = @_;
    $angle -= $pi
	while $angle > $halfpi;
    $angle += $pi
	while $angle < 0 -  $halfpi;

    return $angle;
}
sub are_perp {
    return abs( $halfpi - abs( abs($_[0])  - abs($_[1]))) < $epsilon;
}
sub are_parll {
    return abs( abs($_[0])  - abs($_[1])) < $epsilon;
}
sub angle {
    return abs( abs($_[0])  - abs($_[1])) / $halfpi;
}
