module( 'Point.js', {
    setup : function() {
        setGlobals();
    }
});test( 'Point()', function() {
    var p = new Point( 123, 456 );
    equals( p.toString(), '(123, 456)', 'p is a Point' );
    equals( p.x, 123, 'p.x has right value' );
    equals( p.y, 456, 'p.y is correct, too' );
});

test( 'BoundedPoint()', function() {
    var bp = new BoundedPoint( 12345, 67890 );
    equals( new BoundedPoint( -1, 1 ).toString(), '[0, 1]',
	    'Bounded Point handles X < 0' );
    equals( new BoundedPoint( 1, -1 ).toString(), '[1, 0]',
	    'Bounded Point handles Y < 0' );
    equals( new BoundedPoint( 501, 1 ).toString(), '[500, 1]',
	    'Bounded Point handles X > maxX' );
    equals( new BoundedPoint( 1, 1001 ).toString(), '[1, 1000]',
	    'Bounded Point handles Y > maxY' );
});

test( 'RandomPoint()', function() {
    var rp = new RandomPoint();
    ok( rp.x >= 0, 'Random X >= 0' );
    ok( rp.y >= 0, 'Random Y >= 0' );
    ok( rp.x <= LEGRADY.bounds.maxX, 'Random X <= maxX' );
    ok( rp.y <= LEGRADY.bounds.maxY, 'Random Y <= maxY' );

    var pr = new RandomPoint();
    ok( rp.x != pr.x, "Most probably different X" );
    ok( rp.y != pr.y, "Most probably different Y" );
});
