/**
 * @author Tom Legrady
 */
function drawArcs() {
  setGlobals();
  var ctx = document.getElementById('canvas').getContext('2d'),
      N = 96;
  
  for( var i = 0; i < N; i++ ) {
    var maxRGB = LEGRADY.bounds.maxRGB,
        halfRGB = maxRGB / 2,
        maxX = LEGRADY.bounds.maxX,
        halfX = LEGRADY.bounds.midX,
        quarterX = halfX / 2,
        eighthX = halfX / 4,
        theta = Math.PI * i / 12,
        len = quarterX * 0.3 + (eighthX * i/24),
        dx = len * Math.cos( theta ),
        x = halfX + dx,
        dy = len * Math.sin( theta ),
        y = halfX + dy,
        a = Math.round((N-i)/N * 10)/10.1,
        r, g, b, rgba, sz;
        
        r = Math.floor(halfRGB + halfRGB * Math.sin( Math.PI + Math.PI  * 2 * x / maxX));
        g = Math.floor(halfRGB + halfRGB * Math.cos( Math.PI  * i / N));
        b = Math.floor(halfRGB + halfRGB * Math.sin( Math.PI - Math.PI  * 3 * y / maxX));
        console.log( 'rgba(' + r + ',' + g + ',' + b + ', ' + a + ')'  );
        rgba = 'rgba(' + r + ',' + g + ',' + b + ', ' + a + ')' ;

    ctx.fillStyle = rgba;
    ctx.beginPath();
    sz = i *  2;
    ctx.arc( x, y, sz, 0, Math.PI * 2, false );
    ctx.fill();
  }
}
