module( 'RGBA.js', {
    setup : function() {
        setGlobals();
    }
});
test('RGBA()', function() {
    "use strict";
    
    var rgba = new RGBA( 80, 160, 240, 1.0 );
    equal( rgba.toString(), 'rgba(80,160,240,1)', 'object isa RGBA');
    equal( rgba.r, 80, 'red');
    equal( rgba.g, 160, 'green');
    equal( rgba.b, 240, 'blue');
    equal( rgba.a, 1, 'alpha');
    
    rgba = new RandomRGBA();
    ok(rgba.r >= 0, 'random r >= 0')
    ok(rgba.r <= 255, 'random r <= 255')
    ok(rgba.g >= 0, 'random g >= 0')
    ok(rgba.g <= 255, 'random g <= 255')
    ok(rgba.b >= 0, 'random b >= 0')
    ok(rgba.b <= 255, 'random b <= 255')
    ok(rgba.a >= 0, 'random a >= 0')
    ok(rgba.a <= 1.0, 'random a <= 1.0')
});
